<template>
    <div>
        <p v-if="num === 0">{{ num }}</p>
        <p v-else-if="num > 0">The number is positive</p>
        <p v-else-if="num < 0">The number is nagative</p>
        <p v-else>NaN</p>

        <button @click="awesome = !awesome">Toggle</button>
        <h1 v-if="awesome">Vue is awesome</h1>
        <h1 v-else>Oh no🫢</h1>

        <template v-if="display">
            <h1>Hello</h1>
            <p>Welcome</p>
        </template>

    </div>
</template>

<script>
    export default {
        name:"conditionalView",
        data(){
            return {
                num: "a",
                awesome: "awesome",
                display: true,
            }
        }
    }
</script>